{% load_banners position: position limit: 1 %}

{% if loaded_banners.size > 0 %}
  {% for banner in loaded_banners %}
    {% assign no_image = '' %}
    {% assign show_cta = false %}

    {% if banner.file_url == blank %}
      {% assign no_image = '-imageless' %}
    {% endif %}

    {% comment %} O botão só será exibido se o banner possuír link e o texto do botão for cadastrado {% endcomment %}
    {% assign show_cta = false %}
    {% if banner.subtitle != blank and banner.url != blank %}
      {% assign show_cta = true %}
    {% endif %}

    {% comment %} Config {% endcomment %}
    {% assign external = '' %}
    {% assign cta_text = banner.subtitle %}
    {% assign text_position = 'center' %}

    {% if banner.subtitle contains '|' %}
      {% assign cta_text = banner.subtitle | split: '|' | first %}
      {% assign text_position = banner.subtitle | split: '|' | last %}
    {% endif %}

    {% if banner.external %}
      {% assign external = "target='_blank'" %}
    {% endif %}

    <section class="page-fullbanner {{ no_image }} {% if background %} -background {% endif %}">

      {% if banner.file_url != blank %}

        {% capture data_srcset %}
          {{ banner.file_url | resize: '360x' }}
          360w,
          {{ banner.file_url | resize: '412x' }}
          412w,
          {{ banner.file_url | resize: '680x' }}
          680w,
          {{ banner.file_url | resize: '991x' }}
          991w,
          {{ banner.file_url | resize: '1280x' }}
          1280w,
          {{ banner.file_url | resize: '1368x' }}
          1368w,
          {{ banner.file_url | resize: '1920x' }}
          1920w,
          {{ banner.file_url }}
          1921w
        {% endcapture %}

        {% capture data_sizes %}
          (max-width: 360px) 360px,
          (max-width: 412px) 412px,
          (max-width: 680px) 680px,
          (max-width: 991px) 991px,
          (max-width: 1280px) 1280px,
          (max-width: 1368px) 1368px,
          (max-width: 1920px) 1920px,
          (min-width: 1921px) 1921px
        {% endcapture %}

        {% head %}
        <link rel="preload" as="image" href="{{ banner.file_url }}" imagesrcset="{{ data_srcset | strip_newlines | strip }}" imagesizes="{{ data_sizes | strip_newlines | strip }}">
        {% endhead %}

        <figure class="image {{ type }}">
          <img alt="{{ banner.title }}" srcset="{{ data_srcset | strip_newlines | strip }}" sizes="{{ data_sizes | strip_newlines | strip }}"/>
        </figure>
      {% endif %}


      {% comment %} Só exibe o conteúdo se tiver texto ou se tiver botão (URL + texto){% endcomment %}
      {% if banner.description != blank or show_cta %}

        {% if banner.url != blank %}
          <a href="{{ banner.url }}" aria-label="Acessar a página {{ banner.url }}" {{ external }} class="text {{ no_image }}" {% if banner.color != blank %} style="--color: {{ banner.color }}" {% endif %}>
        {% else %}
          <div class="text {{ no_image }}" {% if banner.color != blank %} style="--color: {{ banner.color }}" {% endif %}>
        {% endif %}

            <div class="container {{ text_position }}">
              <div class="content">
                {% if banner.description != blank %}
                  {{ banner.description | replate: '<h1', '<h1 class="title"' | replace: '<h2', '<h2 class="title"' | replace: '<h3', '<h3 class="upper-title"' | replace: '<p', '<p class="description"' }}
                {% endif %}

                {% if show_cta %}
                  <button aria-label="{{ cta_text }}" class="button-default -outlined" type="button">
                    {{ cta_text }}
                  </button>
                {% endif %}

              </div>
            </div>
        {% if banner.url != blank %}
          </a>
        {% else %}
          </div>
        {% endif %}

      {% endif %}
    </section>
  {% endfor %}
{% endif %}
